#ifndef	_GLOBAL_H
#define	_GLOBAL_H

#include <QList>
#include <QString>


#define Ka1		0.0000004445
#define Ka2		0.0000000000468

#define MMCa		40.048
#define MMMg		24.305
#define MMNa		22.98976928
#define MMCl		35.453
#define MMSO4		96.0626
#define MMCO3		60.01684
#define MMHCO3		61.01684
#define MMCaSO4		172.171
#define MMCaCl2		147.015
#define MMCaCO3		100.087
#define MMMgCl2		95.211		/* Since 27-06-2021 */
#define MMMgSO4		246.475
#define MMNaHCO3	84.007
#define MMNa2CO3	105.996
#define MMNaCl		58.443
#define MMCaOH2		74.06268

#define SpecificHeatWater	1.0
#define SpecificHeatMalt	0.399	//cal/g.°C
#define SlakingHeat		10.318	//cal/g.°C
#define eq_tun_weight		2.0	// 2 Kg pot
#define eq_tun_specific_heat	0.110


struct Acid
{
    QString     name;
    double      pK1;
    double      pK2;
    double      pK3;
    double      MolWt;
    double      AcidSG;
    double      AcidPrc;
};

extern QList<Acid>	my_acids;

extern QString		my_brewery_name;
extern QByteArray	my_logoByteArray;
extern int		my_factor_mashhop;
extern int		my_factor_fwh;
extern int		my_factor_pellet;
extern int		my_factor_plug;
extern int		my_factor_wethop;
extern int		my_factor_cryohop;
extern int		my_ibu_method;
extern int		my_color_method;
extern double		my_brix_correction;
extern double		my_grain_absorbtion;
extern int		my_default_water;
extern QString		my_yeastlab;

#endif
